Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1476 Le 07/01/2017, à 10:49

dino99

Re : MultiSystem, Créez votre LiveUSB MultiBoot simplement! [2]

@frafa

effectivement Apt sur Zesty (17.04) rejette toute source qui ne soit signé avec SHA2 minimum, expliquant le message qui diffère de celui généré par un Apt plus ancien indiquant le problème mais permettant toujours d'utiliser ces sources utilisant SHA1
Donc la seule solution est du coté 'source' qui doit maintenant signé avec SHA2

Espérant que vous puissiez trouver le temps de faire le changement.
.................................................................................................................................................
Debian and Ubuntu enforce SHA256 or higher entries in the Release and/or Packages files since March. Repositories missing these need to be fixed by their owners.

If you are hosting a repository which is giving these errors. The solution is to change the default cert-digest-algo to be SHA256. By default gnupg defaults to using SHA1

After you fix this issue the next warning will be that the signature "uses weak digest algorithm (SHA1)" And to fix that you can set digest-algo to SHA256 as well.

These values go on the repository server in the gpg.conf which the repository is using.

The short hand is to append

cert-digest-algo SHA256
digest-algo SHA256
to your gpg.conf file.

cf: http://askubuntu.com/questions/760796/h … rithm-sha1

Dernière modification par dino99 (Le 07/01/2017, à 10:50)

Hors ligne